Bug 1128295 - Using soft or hard reboot can cause loss of network connectivity
Summary: Using soft or hard reboot can cause loss of network connectivity
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 4.0
Hardware: All
OS: Linux
high
high
Target Milestone: z5
: 4.0
Assignee: Ihar Hrachyshka
QA Contact: yfried
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 20:08 UTC by John Trowbridge
Modified: 2018-12-09 18:19 UTC (History)
8 users (show)

Fixed In Version: openstack-neutron-2013.2.4-1.el6ost
Doc Type: Bug Fix
Doc Text:
In some cases, an instance's TAP interface was set and reset too rapidly by the hypervisor to be caught in the OVS neutron-agent loop, and as a result its VLAN tag was not reset. This could occur, for example, on an instance reboot. As a result, the instance lost network connectivity. This has been fixed so that every time an interface loses its VLAN tag, the OVS Neutron agent catches it and reconfigures the interface. As a result instances do not lose network connectivity after reboot.
Clone Of:
Environment:
Last Closed: 2014-10-22 17:23:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1686 normal SHIPPED_LIVE Moderate: openstack-neutron security and bug fix update 2014-10-22 21:21:18 UTC
OpenStack gerrit 108453 None None None Never
Launchpad 1240849 None None None Never

Description John Trowbridge 2014-08-08 20:08:06 UTC
There is an upstream bug for this here:

https://bugs.launchpad.net/nova/+bug/1240849

From comment 7 in the above bug

Steps to reproduce:
================
- Create a private virtual network and subnet.
- boot a VM attached to this network.
- from the dhcp netns or router netns ping the vm IP and confirm it works.
- perform a "soft" reboot of the VM.
- confirm the pings never respond anymore
- perform a VM stop followed by a VM start
- confirm the pings come back.

Let me know if more information is needed.

Comment 2 Ihar Hrachyshka 2014-08-11 07:43:13 UTC
The fix was included in all Icehouse based RHEL-OSP releases. Which release have you tested against? If you want to target the fix to Havana too, please set Target appropriately.

Comment 3 John Trowbridge 2014-08-11 18:41:10 UTC
Thanks for looking at this. The customer in the attached case is hitting this on RHEL-OSP 4. I have set the target to the correct release.

Comment 5 yfried 2014-10-13 08:50:32 UTC
ON RHEL 6.6
[root@puma46 ~]# rpm -qa | grep neutron
openstack-neutron-openvswitch-2013.2.4-5.el6ost.noarch
python-neutron-2013.2.4-5.el6ost.noarch
openstack-neutron-ml2-2013.2.4-5.el6ost.noarch
python-neutronclient-2.3.4-1.el6ost.noarch
openstack-neutron-2013.2.4-5.el6ost.noarch

after soft reboot cirros VM is still able to ping google (8.8.8.8)

Comment 7 errata-xmlrpc 2014-10-22 17:23:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2014-1686.html


Note You need to log in before you can comment on or make changes to this bug.